Page MenuHomePhabricator

Beta Wikidata: Error: 1146 Table 'wikishared.wikimedia_editor_tasks_keys' doesn't exist
Closed, ResolvedPublic

Description

[XKZpQawQBGoAADS-KgUAAAAF] /w/api.php   Wikimedia\Rdbms\DBQueryError from line 1583 of /srv/mediawiki/php-master/includes/libs/rdbms/database/Database.php: A database query error has occurred. Did you forget to run your application's database schema updater after upgrading? 
Query: SELECT  wet_id AS `id`,wet_key AS `name`  FROM `wikimedia_editor_tasks_keys`     ORDER BY id 
Function: MediaWiki\Storage\NameTableStore::loadTable
Error: 1146 Table 'wikishared.wikimedia_editor_tasks_keys' doesn't exist (172.16.4.147:3306)
trace
#3 /srv/mediawiki/php-master/includes/Storage/NameTableStore.php(378): Wikimedia\Rdbms\Database->select(string, array, array, string, array)
#4 /srv/mediawiki/php-master/includes/Storage/NameTableStore.php(336): MediaWiki\Storage\NameTableStore->loadTable(Wikimedia\Rdbms\DatabaseMysqli)
#5 /srv/mediawiki/php-master/includes/libs/objectcache/WANObjectCache.php(1414): Closure$MediaWiki\Storage\NameTableStore::getTableFromCachesOrReplica(boolean, integer, array, NULL)
#6 /srv/mediawiki/php-master/includes/libs/objectcache/WANObjectCache.php(1275): WANObjectCache->doGetWithSetCallback(string, integer, Closure$MediaWiki\Storage\NameTableStore::getTableFromCachesOrReplica;341, array)
#7 /srv/mediawiki/php-master/includes/Storage/NameTableStore.php(338): WANObjectCache->getWithSetCallback(string, integer, Closure$MediaWiki\Storage\NameTableStore::getTableFromCachesOrReplica;341)
#8 /srv/mediawiki/php-master/includes/Storage/NameTableStore.php(156): MediaWiki\Storage\NameTableStore->getTableFromCachesOrReplica()
#9 /srv/mediawiki/php-master/extensions/WikimediaEditorTasks/src/CounterFactory.php(68): MediaWiki\Storage\NameTableStore->acquireId(string)
#10 /srv/mediawiki/php-master/extensions/WikimediaEditorTasks/src/CounterFactory.php(54): MediaWiki\Extension\WikimediaEditorTasks\CounterFactory->create(array)
#11 [internal function]: Closure$MediaWiki\Extension\WikimediaEditorTasks\CounterFactory::createAll(array)
#12 /srv/mediawiki/php-master/extensions/WikimediaEditorTasks/src/CounterFactory.php(55): array_map(Closure$MediaWiki\Extension\WikimediaEditorTasks\CounterFactory::createAll;1627, array)
#13 /srv/mediawiki/php-master/extensions/WikimediaEditorTasks/src/Hooks.php(187): MediaWiki\Extension\WikimediaEditorTasks\CounterFactory->createAll(array)
#14 /srv/mediawiki/php-master/extensions/WikimediaEditorTasks/src/Hooks.php(151): MediaWiki\Extension\WikimediaEditorTasks\Hooks::getCounters()
#15 /srv/mediawiki/php-master/extensions/WikimediaEditorTasks/src/Hooks.php(74): MediaWiki\Extension\WikimediaEditorTasks\Hooks::countersOnEditSuccess(User)
#16 /srv/mediawiki/php-master/includes/deferred/AutoCommitUpdate.php(46): Closure$MediaWiki\Extension\WikimediaEditorTasks\Hooks::onPageContentSaveComplete(Wikimedia\Rdbms\DBConnRef, string)
#17 /srv/mediawiki/php-master/includes/deferred/DeferredUpdates.php(274): AutoCommitUpdate->doUpdate()
#18 /srv/mediawiki/php-master/includes/deferred/DeferredUpdates.php(219): DeferredUpdates::runUpdate(AutoCommitUpdate, Wikimedia\Rdbms\LBFactoryMulti, string, integer)
#19 /srv/mediawiki/php-master/includes/deferred/DeferredUpdates.php(143): DeferredUpdates::execute(array, string, integer)
#20 /srv/mediawiki/php-master/includes/MediaWiki.php(907): DeferredUpdates::doUpdates(string)
#21 /srv/mediawiki/php-master/includes/MediaWiki.php(731): MediaWiki->restInPeace(string, boolean)
#22 [internal function]: Closure$MediaWiki::doPostOutputShutdown()

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 4 2019, 9:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Krinkle updated the task description. (Show Details)Apr 5 2019, 11:10 PM
Krinkle added a project: WikimediaEditorTasks.
Krinkle added a subscriber: Krinkle.

Tentatively marking as blocking next week's branch. If this is indeed due to config or code changes, then this weeks' post-Tuesday state in Beta would become part of wmf.25.

Change 501841 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Revert "Cleanup: Remove obsolete WikimediaEditorTasks beta cluster prefs"

https://gerrit.wikimedia.org/r/501841

Change 501841 abandoned by Mholloway:
Revert "Cleanup: Remove obsolete WikimediaEditorTasks beta cluster prefs"

Reason:
These are actually obsolete, but a new patch is needed

https://gerrit.wikimedia.org/r/501841

Change 501845 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] WikimediaEditorTasks: Replace needed Beta Cluster config

https://gerrit.wikimedia.org/r/501845

bearND added a subscriber: Tgr.Apr 6 2019, 1:49 AM

Change 501845 merged by jenkins-bot:
[operations/mediawiki-config@master] WikimediaEditorTasks: Replace needed Beta Cluster config

https://gerrit.wikimedia.org/r/501845

Mentioned in SAL (#wikimedia-operations) [2019-04-08T16:55:54Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: Replace needed WikimediaEditorTasks Beta Cluster config (T220153) (duration: 00m 58s)

mmodell added a subscriber: mmodell.Apr 9 2019, 7:10 PM

Is this still a blocker?

Is this still a blocker?

I think it's fixed.

Krinkle closed this task as Resolved.Apr 9 2019, 11:22 PM

Yep. Got fixed before the branch cut.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM